Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class NullProvider

    java.lang.Object
      org.apache.axis.configuration.NullProvider

All Implemented Interfaces:
  EngineConfiguration

public class NullProvider
extends java.lang.Object
implements EngineConfiguration

A do-nothing ConfigurationProvider

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`NullProvider()`

Method Summary
`void` | `configureEngine(AxisEngine engine)` Configure this AxisEngine using whatever data source we have.
`java.util.Iterator` | `getDeployedServices()` Get an enumeration of the services deployed to this engine
`java.util.Hashtable` | `getGlobalOptions()` Returns the global configuration options.
`Handler` | `getGlobalRequest()` Returns a global request handler.
`Handler` | `getGlobalResponse()` Returns a global response handler.
`Handler` | `getHandler(QName qname)` Retrieve an instance of the named handler.
`java.util.List` | `getRoles()` Get a list of roles that this engine plays globally.
`SOAPService` | `getService(QName qname)` Retrieve an instance of the named service.
`SOAPService` | `getServiceByNamespaceURI(java.lang.String namespace)` Get a service which has been mapped to a particular namespace.
`Handler` | `getTransport(QName qname)` Retrieve an instance of the named transport.
`TypeMapping` | `getTypeMapping(java.lang.String encodingStyle)`
`TypeMappingRegistry` | `getTypeMappingRegistry()` Retrieve the TypeMappingRegistry for this engine.
`void` | `writeEngineConfig(AxisEngine engine)` Read the configuration from an engine, and store it somehow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullProvider

    public NullProvider()

Method Detail

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Configure this AxisEngine using whatever data source we have.

  Specified by:
    `configureEngine` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine we'll deploy state to
  Throws:
    `ConfigurationException` - if there was a problem

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Read the configuration from an engine, and store it somehow.

  Specified by:
    `writeEngineConfig` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine from which to read state.
  Throws:
    `ConfigurationException` - if there was a problem

### getGlobalOptions

    public java.util.Hashtable getGlobalOptions()
                                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns the global configuration options.

  Specified by:
    `getGlobalOptions` in interface `EngineConfiguration`
  Returns:
    the global options as a `Hashtable`
  Throws:
    `ConfigurationException` - if the global options could not be returned

### getGlobalResponse

    public Handler getGlobalResponse()
                              throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns a global response handler.

  Specified by:
    `getGlobalResponse` in interface `EngineConfiguration`
  Returns:
    the `Handler` that globally handles responses
  Throws:
    `ConfigurationException` - if there was some error fetching the handler

### getGlobalRequest

    public Handler getGlobalRequest()
                             throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns a global request handler.

  Specified by:
    `getGlobalRequest` in interface `EngineConfiguration`
  Returns:
    the `Handler` that globally handles requests
  Throws:
    `ConfigurationException` - if there was some error fetching the handler

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()
                                               throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Retrieve the TypeMappingRegistry for this engine.

  Specified by:
    `getTypeMappingRegistry` in interface `EngineConfiguration`
  Returns:
    the type mapping registry
  Throws:
    `ConfigurationException` - if there was an error resolving the registry

### getTypeMapping

    public TypeMapping getTypeMapping(java.lang.String encodingStyle)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

### getTransport

    public Handler getTransport(QName qname)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Retrieve an instance of the named transport.

  Specified by:
    `getTransport` in interface `EngineConfiguration`
  Parameters:
    `qname` - the `QName` of the transport
  Returns:
    a `Handler` implementing the transport
  Throws:
    `ConfigurationException` - if there was an error resolving the transport

### getService

    public SOAPService getService(QName qname)
                           throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Retrieve an instance of the named service.

  Specified by:
    `getService` in interface `EngineConfiguration`
  Parameters:
    `qname` - the `QName` identifying the `Service`
  Returns:
    the `Service` associated with `qname`
  Throws:
    `ConfigurationException` - if there was an error resolving the qname

### getServiceByNamespaceURI

    public SOAPService getServiceByNamespaceURI(java.lang.String namespace)
                                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Get a service which has been mapped to a particular namespace.

  Specified by:
    `getServiceByNamespaceURI` in interface `EngineConfiguration`
  Parameters:
    `namespace` - a namespace URI
  Returns:
    an instance of the appropriate Service, or null
  Throws:
    `ConfigurationException` - if there was an error resolving the namespace

### getHandler

    public Handler getHandler(QName qname)
                       throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Retrieve an instance of the named handler.

  Specified by:
    `getHandler` in interface `EngineConfiguration`
  Parameters:
    `qname` - the `QName` identifying the `Handler`
  Returns:
    the `Handler` associated with `qname`
  Throws:
    `ConfigurationException` - if there was a failure in resolving `qname`

### getDeployedServices

    public java.util.Iterator getDeployedServices()
                                           throws ConfigurationException

  Get an enumeration of the services deployed to this engine

  Specified by:
    `getDeployedServices` in interface `EngineConfiguration`
  Returns:
    an `Iterator` over the `ServiceDesc` objects
  Throws:
    `ConfigurationException` - if the deployed services could not be returned
  See Also:
    `ServiceDesc`

### getRoles

    public java.util.List getRoles()

  Get a list of roles that this engine plays globally. Services within the engine configuration may also add additional roles.

  Specified by:
    `getRoles` in interface `EngineConfiguration`
  Returns:
    a `List` of the roles for this engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.